Subject: Re: [dispatch] Request to form a new WG: JMAP

From: Anton Tveretin <[email-masked]>
Date: Wed, 21 Dec 2016 13:11:38 +0500

Hello Alexey,
At this point, I don't go into details; the new WG would be a better venue.
Most essential notes concerning the WG creation are:
Why the drafts are proposed STD? I think there is at most one STD per organization per applicability. IETF has SMTP, POP, IMAP, and these 3 protocols have different applicabilities. 
This is not a limitation to publish RFCs (common examples: FTP vs HTTP, L2TP vs PPTP), but all except one should be INFO.
For these reasons, I chose not to publish the NGMTP (New-Generation Mail Transfer Protocol) through IETF, but keep it by myself. Now I see different applicabilities for NGMTP and JMAP, and even possible integration.
Also, neither of -00 version of the drafts contains Security Considerations.
As a conclusion, I support a formation of a new WG, and I am ready to give few comments on existing drafts.
Regards,
Anton.

21.11.2016, 22:51, "Alexey Melnikov" <[email-masked]>:
>  Hi Anton,
>
>>   On 14 Nov 2016, at 17:03, Anton Tveretin <[email-masked]> wrote:
>>
>>   Hello,
>>   Would this protocol be UNI only?
>
>  I don't understand the question. Can you elaborate?
>
>>   So, forwarding would be SMTP? In that case, there will be interworking.
>>   Did anyone consider experience with GSM MMS? The message is submitted and retrieved with WAP (binary form of HTTP, to be simple), but inter-domain transmission is with SMTP.
>>   Or, is the intent to have one more closed (private) system?
>
>  The intent is still to use SMTP for message relaying.
>
>  Best Regards,
>  Alexey